Package org.eclipse.mat.hprof

# Class EnhancerRegistry.Enhancer

java.lang.Object
org.eclipse.mat.hprof.EnhancerRegistry.Enhancer

Enclosing class:
  `EnhancerRegistry`

public static class EnhancerRegistry.Enhancer extends Object

## Constructor Summary

Constructors
Constructor
Description
`Enhancer(IConfigurationElement configElement)`

## Method Summary

Modifier and Type
Method
Description
`IParsingEnhancer`
`parser()`
`IRuntimeEnhancer`
`runtime()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Enhancer

public Enhancer(IConfigurationElement configElement)

## Method Details

### parser

public IParsingEnhancer parser()

### runtime

public IRuntimeEnhancer runtime()